Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
New Contributor
Posts: 4
Registered: ‎04-19-2010
My Device: 8530
My Carrier: Sprint

Trying to implement CameraDemo, but not working - source error - net_rim_api.jar

I was trying to implement an application that uses a camera snapshot screen (similar to camerademo provided by RIM). 

 

However I get an exception thrown at:


Player player = Manager.createPlayer( "capture://video" );

 

Here all it says in the exception is source error for net_rim_api.jar.

 

After a lot of frustration, I create the exact three classes from CameraDemo and also get the same error.  This lead me to believe that it may just be a reference error, source error or having to do with the code signing keys required (although I thought they werent' required for apps to run in the simulator)....

 

Would anybody be able to clear this frustration for me and why I can't even run CameraDemo by simply copying the code (as a test)..... would this be an issue with eclipse/simulator?  But then I try to run in the JDE 4.7 and get similar results.  The CameraDemo works in JDE 4.7..... but if I were to create a new project with the same classes and code, that won't work...........  is there something I'm missing?

Developer
Posts: 4,764
Registered: ‎07-21-2008
My Device: Not Specified

Re: Trying to implement CameraDemo, but not working - source error - net_rim_api.jar

[ Edited ]

Some of this camera stuff was not available prior to OS 4.7. Are you running on an older OS level?

 

New Contributor
Posts: 4
Registered: ‎04-19-2010
My Device: 8530
My Carrier: Sprint

Re: Trying to implement CameraDemo, but not working - source error - net_rim_api.jar

Thank you so much!  That was in fact the issue.  The simulators I was running on had OS 4.5.  I used a simulator with OS 5.0 and my code executes now. 

 

Can the OS be upgraded on previous blackberries?  Or would my app be required to run on a newer blackberry with OS 4.7 and above? 

Developer
Posts: 4,764
Registered: ‎07-21-2008
My Device: Not Specified

Re: Trying to implement CameraDemo, but not working - source error - net_rim_api.jar

Some devices can be upgraded to 5.0.

 

From our experience, about 80% of "new apps" are downloaded to OS 4.6 and higher.